=== ansible_collections/ansible/netcommon/tests/unit/requirements.txt ===
setuptools > 0.6 # pytest-xdist installed via requirements does not work with very old setuptools (sanity_ok)
virtualenv ; python_version < '3'

ansible-pylibssh
jxmlease
ncclient
selectors2 ; python_version == '3.5'

# The follow are 3rd party libs for cli_parse
ntc_templates
# 21.4 changed the output of an error message we check in tests
pyats >= 21.4 ; python_version >= '3.6'
genie >= 21.4 ; python_version >= '3.6'
textfsm
xmltodict
