=== debian/changelog ===
ansible (13.3.0-1) unstable; urgency=medium

  * Ansible 13.3.0 release

 -- Red Hat, Inc. <info@ansible.com>  Thu, 29 Jan 2026 20:14:53 +0000
